# -*- coding: utf-8 -*-
"""
Created on Tue Sep 21 09:33:09 2021

@author: Erlend Tøssebro
"""

# Start med å tegne opp en diamant
#   Snu deg 45 grader og tegn en firkant
#   For å tegne en firkant, gjenta 4 ganger:
#      Tegn ei linje
#      Snu deg 90 grader
# Gjenta det antallet ganger som brukeren ber om
#   Snu deg tilbake slik at skilpadda peker inn mot sentrum
#   Trekk deg tilbake uten å tegne
#   Tegn en ny og større diamant

import turtle
import math

AVSTAND_TIL_SENTER = 50
lengde_sidene = math.sqrt(2)*AVSTAND_TIL_SENTER

antall_diamanter = int(input("Hvor mange diamanter? "))

for i in range(1, antall_diamanter+1):
    turtle.setup(500,800,1700,250)
    turtle.penup()
    turtle.backward(AVSTAND_TIL_SENTER)
    turtle.pendown()
    turtle.left(45)
    for a in range(4):
        turtle.forward(lengde_sidene*i)
        turtle.right(90)
    turtle.right(45)

turtle.done()
